/**
Very simple network server.

Orion Sky Lawlor, olawlor@acm.org, 2007/04/04 (Public Domain)
*/
#include <iostream>
#include "osl/socket.h"
#include "osl/socket.cpp" /* include body for easy linking */

int main(int argc,char *argv[])
{
	skt_ip_t ip=skt_lookup_ip("127.0.0.1");
	unsigned int port=32170;
	SOCKET s=skt_connect(ip,port,2);
	
	/* Send some data to the server */
	skt_sendN(s,"dUd",3);
	
	/* Receive some data from the client */
	std::string buf(8,'?');
	skt_recvN(s,(char *)&buf[0],8);
	std::cout<<"Server sent data '"<<buf<<"'\n";
	
	
	skt_close(s);
	std::cout<<"Closed socket to server\n";
	return 0;
}
